Docs Rizler

Phone Numbers

Get Number Endpoints

GEThttps://app.rizzdial.com/api/phone-numbers/{id}/endpoints
Get Number Endpoints
curl --request GET \
  --url https://app.rizzdial.com/api/phone-numbers/12/endpoints \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "MTI=",
    "phone_no": "+14155550100",
    "sms_sent_webhook": "https://app.rizzdial.com/webhooks/sms/phone_sent/...",
    "local_presence_api": "https://app.rizzdial.com/webhooks/sms/check_local_presence/..."
  },
  "success": true
}

Get Number Endpoints#

Returns the SMS sent webhook and local-presence URL for this number.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

idstringpathrequired

Numeric id, base64 id, or encrypted id from List Phone Numbers

curl --request GET \
  --url https://app.rizzdial.com/api/phone-numbers/12/endpoints \
  --header 'Authorization: Bearer {{bearer_token}}'
dataobject

id (base64), phone_no, sms_sent_webhook, and local_presence_api